JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.TOKEN_USER

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.TOKEN_USER

Enclosing interface:
  WinNT

    public static class WinNT.TOKEN_USER

extends Structure

The TOKEN_USER structure identifies the user associated with an access token.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`WinNT.SID_AND_ATTRIBUTES` | `User` Specifies a SID_AND_ATTRIBUTES structure representing the user associated with the access token.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.TOKEN_USER()`
`WinNT.TOKEN_USER(int size)`
`WinNT.TOKEN_USER(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### User

    public WinNT.SID_AND_ATTRIBUTES User

  Specifies a SID_AND_ATTRIBUTES structure representing the user associated with the access token. There are currently no attributes defined for user security identifiers (SIDs).

Constructor Detail

### WinNT.TOKEN_USER

    public WinNT.TOKEN_USER()

### WinNT.TOKEN_USER

    public WinNT.TOKEN_USER(Pointer memory)

### WinNT.TOKEN_USER

    public WinNT.TOKEN_USER(int size)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.